
set( larcore_VERSION 06.17.01 )
set( larcore_UPS_VERSION v06_17_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcoreobj  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( tbb  )
    find_ups_root(  )
    find_ups_product( larcorealg  )
    find_ups_product( art  )
    find_ups_product( canvas_root_io  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( LARCORE_GEOMETRY_DUMPCHANNELMAP_MODULE $ENV{LARCORE_LIB}/liblarcore_Geometry_DumpChannelMap_module.dylib )
      set( LARCORE_GEOMETRY_AUXDETGEOMETRY_SERVICE $ENV{LARCORE_LIB}/liblarcore_Geometry_AuxDetGeometry_service.dylib )
      set( LARCORE_GEOMETRY_GEOMETRY_SERVICE $ENV{LARCORE_LIB}/liblarcore_Geometry_Geometry_service.dylib )
      set( LARCORE_GEOMETRY_STANDARDGEOMETRYHELPER_SERVICE $ENV{LARCORE_LIB}/liblarcore_Geometry_StandardGeometryHelper_service.dylib )
      set( TEST_GEOMETRY_GEOMETRYITERATORLOOPTEST_MODULE $ENV{LARCORE_LIB}/libtest_Geometry_GeometryIteratorLoopTest_module.dylib )
      set( TEST_GEOMETRY_GEOMETRYTEST_MODULE $ENV{LARCORE_LIB}/libtest_Geometry_GeometryTest_module.dylib )
      include_directories ( $ENV{LARCORE_INC} )

check_required_components(larcore)

